Subject: [smime] Repository of S/MIME lore?

From: Phillip Hallam-Baker <[email-masked]>
Date: Sat, 21 Dec 2013 16:19:55 -0500

I am trying to get my S/MIME enhancement proxy to work and having
difficulty of the 'specifications say you can do this but the
implementations don't support it' type

In particular just trying to send and receive encrypted mail from Windows
Live Mail to Windows Live Mail at the moment. I am pretty sure the CMS code
is right (I am using OpenSSL) but I can't get the mail to decrypt. It says
it can't find the decryption key.

Any ideas where there might be a description of a profile that works?

I am guessing that my plan to identify the decryption key by a key
identifier binding to the key rather than a certificate identifier is a
part of the problem. But it is clearly not the whole problem.

-- 
Website: http://hallambaker.com/